<template>
    <div class="edit-popup">
        <popup
            ref="popupRef"
            title="详情"
            :async="true"
            width="550px"
            :cancelButtonText="false"
            :confirmButtonText="false"
        >
            <el-form ref="formRef" :model="formData" label-width="90px">
                <el-form-item label="标签名称" prop="label_name">
                    <el-input v-model="formData.label_name" clearable placeholder="请输入标签名称" :readonly="true"/>
                </el-form-item>
            </el-form>
        </popup>
    </div>
</template>

<script lang="ts" setup name="userLabelDETAILS">
import type { FormInstance } from 'element-plus'
import Popup from '@/components/popup/index.vue'
import { apiUserLabelAdd, apiUserLabelEdit, apiUserLabelDetail } from '@/api/user_label'
import { timeFormat } from '@/utils/util'
import type { PropType } from 'vue'
defineProps({
    dictData: {
        type: Object as PropType<Record<string, any[]>>,
        default: () => ({})
    }
})
const emit = defineEmits(['success', 'close'])
const formRef = shallowRef<FormInstance>()
const popupRef = shallowRef<InstanceType<typeof Popup>>()
const mode = ref('add')



// 表单数据
const formData = reactive({
    label_id: '',
    label_name: '',
})



// 获取详情
const setFormData = async (data: Record<any, any>) => {
    for (const key in formData) {
        if (data[key] != null && data[key] != undefined) {
            //@ts-ignore
            formData[key] = data[key]
        }
    }
    
    
}

const getDetail = async (row: Record<string, any>) => {
    const data = await apiUserLabelDetail({
        label_id: row.label_id
    })
    setFormData(data)
}

//打开弹窗
const open = () => {
    popupRef.value?.open()
}

// 关闭回调
const handleClose = () => {
    emit('close')
}



defineExpose({
    open,
    setFormData,
    getDetail
})
</script>
